QGIS Application - Bug report #7420
"sum line lenghts™ never ends (freezes qgis)/memory leak
2013-03-22 09:33 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corruptsdata: Copied to github as #: 16383
Description

With the attached vectors, if the line one is PostGIS, the tool "sum line lenghts" freezes qgis. Tested master with Windows.

It seems to work if both vectors are shapefiles.

History

#1 - 2013-06-01 10:10 AM - vinayan Parameswaran

I had this problem when running this tool(Ubuntu) just after you reported(even when two shapefiles were used). Memory usage was at a high. But today
everything seems good. There was an issue with the progress bar showing incorrect progress which should be addressed in #7964.

Could you check it once again(just ignore the progress bar)?

#2 - 2013-06-01 10:25 AM - Giovanni Manghi

- Subject changed from "sum line lenghts" never ends (freezes qgis) to "sum line lenghts" never ends (freezes qgis)/memory leak

vinayan Parameswaran wrote:

I had this problem when running this tool(Ubuntu) just after you reported(even when two shapefiles were used). Memory usage was at a high. But

today everything seems good. There was an issue with the progress bar showing incorrect progress which should be addressed in #7964.

Could you check it once again(just ignore the progress bar)?

Hi,

| just update on win/osgeo4w and tested the operation with the two attached shapes.

It doesn't work and now it seems there is a memory leak. The operation reach 48%, then qgis starts eating up memory and eventually finishes correctly. If
the inputs are bigger then would lead to crash.

| already reported that there is also a (new) memory leak in the clip tool.

#3 - 2013-06-01 10:26 AM - Giovanni Manghi

vinayan Parameswaran wrote:
I had this problem when running this tool(Ubuntu) just after you reported(even when two shapefiles were used). Memory usage was at a high. But

today everything seems good. There was an issue with the progress bar showing incorrect progress which should be addressed in #7964.

Could you check it once again(just ignore the progress bar)?

and | see now that memory is not released after the operation.

#4 - 2013-06-01 10:28 AM - vinayan Parameswaran
| had the same issue(memory not released) a few weeks ago..the current master build on ubuntu does not seem to have it..qgis always staying under

100mb memory..

#5 - 2013-06-01 10:38 AM - Giovanni Manghi

- Status changed from Open to Feedback

vinayan Parameswaran wrote:

| had the same issue(memory not released) a few weeks ago..the current master build on ubuntu does not seem to have it..qgis always staying

under 100mb memory..

will test also on Linux, but on Windows/osgeo4w (latest build) seems still an issue.

#6 - 2013-06-01 01:33 PM - Giovanni Manghi
vinayan Parameswaran wrote:
| had the same issue(memory not released) a few weeks ago..the current master build on ubuntu does not seem to have it..qgis always staying

under 100mb memory..

just tested on Linux/Ubuntu on a build dated 29 May, with the attached vectors and | still see the leak. The operation takes gradually 1gb of memory.

Tested with bigger datasets it leads to crash.
#7 - 2013-06-02 02:20 AM - Giovanni Manghi
- Status changed from Feedback to Open

#8 - 2013-06-16 05:04 AM - Giovanni Manghi
- Status changed from Open to Closed

- Resolution set to fixed

#9 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files
